require "#{File.dirname(__FILE__)}/test_helper"

describe EnrichmentDb do
  it 'should list all table names for geo schema' do
    result = EnrichmentDb.table_names('geo')
    geo_table_count = 7
    assert_equal geo_table_count, result.size
  end

  it 'should list all table names for census schema' do
    result = EnrichmentDb.table_names('censis')
    census_table_count = 33
    assert_equal census_table_count, result.size
  end

  it 'should list table columns from geo.sa1 table' do
    result = EnrichmentDb.table_columns('sa1s', 'geo')
    sa1s_column_count = 8
    assert_equal sa1s_column_count, result.size
  end

  it 'should list table columns from censis.selected_medians_and_averages table' do
    result = EnrichmentDb.table_columns('selected_medians_and_averages', 'censis')
    sa1s_column_count = 8
    assert_equal sa1s_column_count, result.size
  end
end
